# ========================================================================
# t/00_basic.t - ensure that Time::Timer object can be created and used
# Andrew Ho (andrew@tellme.com)
#
# Test basic usage of the Time::Timer library.
#
# Because timings will differ from system to system, we can't actually
# test the functionality of the module. So we just test that all the
# method calls run without triggering exceptions.
#
# This script is intended to be run as a target of Test::Harness.
#
# Last modified March 23, 2001
# ========================================================================

use strict;
use Test;

BEGIN { plan tests => 5 }


# ------------------------------------------------------------------------
# Basic tests of the UUID library.

use Time::Timer;
ok(1);

my $timer = Time::Timer->new;
ok($timer ? 1 : 0);

$timer->start('tag');
$timer->stop;
ok(1);

$timer->reset;
ok(1);

$timer->report;
ok(1);


# ========================================================================
__END__
